Module | RSS::Utils
In: | rss/utils.rb

### Methods

get_file_and_line_from_caller h html_escape new_with_value_if_need to_class_name

### Public Instance methods

get_file_and_line_from_caller(i=0)

[Source]

    # File rss/utils.rb, line 12
        def get_file_and_line_from_caller(i=0)
          file, line, = caller[i].split(':')
          [file, line.to_i]
        end

h(s)

Alias for html_escape

html_escape(s)

[Source]

    # File rss/utils.rb, line 17
        def html_escape(s)
          s.to_s.gsub(/&/, "&amp;").gsub(/\"/, "&quot;").gsub(/>/, "&gt;").gsub(/</, "&lt;")
        end

new_with_value_if_need(klass, value)

[Source]

    # File rss/utils.rb, line 22
        def new_with_value_if_need(klass, value)
          if value.is_a?(klass)
            value
          else
            klass.new(value)
          end
        end

to_class_name(name)

[Source]

    # File rss/utils.rb, line 6
        def to_class_name(name)
          name.split(/_/).collect do |part|
            "#{part[0, 1].upcase}#{part[1..-1]}"
          end.join("")
        end

[Validate]